<?php
// $Id$
/**
* @package Jobline
* @Copyright (C) 2004 Olle Johansson
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.0 $
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

class HTML_jobline {

	function listJobPostings( $items, $totalRows, $search="", $pageNav="", $link="", $type="" ) {
		global $option, $my, $mosConfig_editor, $cfgjl, $Itemid;
		global $mosConfig_absolute_path, $mosConfig_live_site, $mosConfig_lang;
		
		if ( $search ) {
			$title = _JL_SEARCH_RESULTS;
			$description = _JL_SEARCH_DESCRIPTION . $totalRows;
		} else {
			if ( $type == "internships" ) {
				$title = _JL_LIST_INTERNSHIPS;
				$description = _JL_LIST_INTERNSHIPS_DESC;
				$heading_jobid = _JL_INTERNSHIPID;
				$heading_jobtitle = _JL_INTERNSHIP_TITLE;
				$gotosearch = _JL_GOTOSEARCH_INTERN;
				$postjob = _JL_POSTINTERNSHIP;
			} else {
				$title = _JL_LIST_JOBPOSTINGS;
				$description = _JL_LIST_DESCRIPTION;
				$heading_jobid = _JL_JOBID;
				$heading_jobtitle = _JL_JOB_TITLE;
				$gotosearch = _JL_GOTOSEARCH;
				$postjob = _JL_POSTJOB;
			}
			$description .= "</p><p><a href='" . sefRelToAbs("index.php?option=$option&Itemid=$Itemid&task=search") . "'>" . $gotosearch . "</a> - ";
			$description .= "<a href='" . sefRelToAbs("index.php?option=$option&Itemid=$Itemid&task=add") . "'>" . $postjob . "</a>";
		}
?>
<table width="100%" cellpadding="4" cellspacing="0" border="0" align="center" class="contentpane">
  <tr>
    <td><span class="contentheading"><?php echo $title; ?></span></td>
  </tr>
  <tr>
    <td valign="top" class="contentdescription">
      <p><?php echo $description; ?></p>
	  <?php if ( trim( $search ) ) { ?>
      <p><a href="<?php echo sefRelToAbs("index.php?option=$option&Itemid=$Itemid&task=search&search=$search"); ?>"><?php echo _JL_BACKTOSEARCH; ?></a></p>
	  <?php } ?>
    </td>
  </tr>
  <?php	if ($items) { ?>
     <?php	if ($pageNav) { ?>
  <tr>
    <td align="right"><?php echo _PN_DISPLAY_NR."&nbsp;"; $pageNav->writeLimitBox( $link ); ?></td>
  </tr>
	 <?php } ?>
  <tr>
    <td>
	  <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="5%" class="sectiontableheader"><?php echo $heading_jobid; ?>&nbsp;</td>
          <td width="15%" class="sectiontableheader"><?php echo _JL_DATE_POSTED; ?></td>
          <td width="50%" class="sectiontableheader"><?php echo $heading_jobtitle; ?></td>
          <td width="30%" class="sectiontableheader"><?php echo _JL_COMPANY_NAME; ?></td>
        </tr>
        <?php
	  $tabclass = array("sectiontableentry1", "sectiontableentry2");
	  $k = 0;
      foreach ($items as $row) {
        ?>
        <tr class="<?php echo $tabclass[$k]; ?>">
          <td align="left"><?php echo $row->id; ?></td>
          <td align="left"><?php echo mosFormatDate( $row->created, "%m/%d/%Y" ); ?></td>
          <?php if($row->access <= $my->gid){ ?>
          <td align="left"><a href="<?php echo sefRelToAbs("index.php?option=$option&Itemid=$Itemid&task=view&id=$row->id"); ?>"><?php echo $row->title; ?></a></td>
          <?php } else { ?>
          <td align="left"><?php echo $row->title." : "; ?><a href="<?php echo sefRelToAbs("index.php?option=com_registration&amp;task=register"); ?>"><?php echo _READ_ON_REGISTER; ?></a></td>
          <?php } ?>
          <td align="left"><?php echo $row->company; ?></td>
        </tr>
          <?php	$k = 1 - $k; ?>
        <?php		} ?>
      </table>
    </td>
  </tr>
     <?php	if ($pageNav) { ?>
  <tr>
    <td align="center" class="sectiontableheader"><?php echo $pageNav->writePagesLinks( $link ); ?></td>
  </tr>
  <tr>
    <td align="right"><?php echo $pageNav->writePagesCounter(); ?></td>
  </tr>
	 <?php } /* if ($pageNav) */ ?>
   <?php } /* if ($items) */ ?>
  <?php if ( trim( $search ) ) { ?>
  <tr>
    <td valign="top" class="contentdescription">
      <p><a href="<?php echo sefRelToAbs("index.php?option=$option&Itemid=$Itemid&task=search&search=$search"); ?>"><?php echo _JL_BACKTOSEARCH; ?></a></p>
    </td>
  </tr>
  <?php } ?>
</table>

<?php
	}

	function showThankYou( $msg="", $id="" ) {
		global $option, $my, $mosConfig_editor, $cfgjl, $Itemid;
		global $mosConfig_absolute_path, $mosConfig_live_site, $mosConfig_lang;
		if ( !trim( $msg ) ) {
			$msg = _JL_THANKYOU_MESSAGE;
		}
?>
	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="contentpane">
	  <tr>
	    <td class="contentheading" width="100%"><?php echo _JL_THANKYOU; ?></td>
	  </tr>
      <tr>
        <td>
          <p><?php echo $msg; ?></p>
		  <p>
<?php if ( trim( $id ) ) { ?>
            <a href="<?php echo sefRelToAbs("index.php?option=$option&Itemid=$Itemid&task=view&id=$id"); ?>"><?php echo _JL_GOBACKTOJOB; ?></a> -
<?php } ?>
   	        <a href="<?php echo sefRelToAbs("index.php?option=$option&Itemid=$Itemid&task=list"); ?>"><?php echo _JL_GOTOLIST; ?>
          </p>
        </td>
      </tr>
    </table>
<?php
    }

	function showApplicationForm( $row, $usstates ) {
		global $option, $my, $mosConfig_editor, $cfgjl, $Itemid;
		global $mosConfig_absolute_path, $mosConfig_live_site, $mosConfig_lang;
?>
  <form action="index2.php" method="POST" name="adminForm" enctype="multipart/form-data">
    <input type="hidden" name="id" value="<?php echo $row->id; ?>" />
    <input type="hidden" name="option" value="<?php echo $option; ?>" />
    <input type="hidden" name="Itemid" value="<?php echo $Itemid; ?>" />
	<input type="hidden" name="task" value="send" />
	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="contentpane">
	  <tr>
	    <td class="contentheading" width="100%" colspan="2"><?php echo _JL_APPLYFORJOB . ": " . $row->title; ?></td>
	  </tr>
      <tr>
        <td><b><?php echo _JL_FIRSTNAME; ?></b></td>
		<td><input type="text" name="firstname" class="inputbox" size="40" value="" /></td>
      </tr>
      <tr>
        <td><b><?php echo _JL_LASTNAME; ?></b></td>
		<td><input type="text" name="lastname" class="inputbox" size="40" value="" /></td>
      </tr>
      <tr>
        <td><b><?php echo _JL_ADDRESS1; ?></b></td>
		<td><input type="text" name="address1" class="inputbox" size="40" value="" /></td>
      </tr>
      <tr>
        <td><b><?php echo _JL_ADDRESS2; ?></b></td>
		<td><input type="text" name="address2" class="inputbox" size="40" value="" /></td>
      </tr>
      <tr>
        <td><b><?php echo _JL_CITY; ?></b></td>
		<td><input type="text" name="city" class="inputbox" size="40" value="" /></td>
      </tr>
<?php if ( $cfgjl['useusstate'] ) { ?>
      <tr>
        <td><b><?php echo _JL_STATE; ?></b></td>
		<td><?php echo $usstates; ?></td>
      </tr>
<?php } ?>
      <tr>
        <td><b><?php echo _JL_ZIPCODE; ?></b></td>
		<td><input type="text" name="zipcode" class="inputbox" size="40" value="" /></td>
      </tr>
      <tr>
        <td valign="top"><b><?php echo _JL_COVER_LETTER; ?></b></td>
		<td><textarea class="inputbox" name="coverletter" id="coverletter" cols="50" rows="10"></textarea></td>
      </tr>
      <tr>
        <td valign="top"><b><?php echo _JL_RESUME; ?></b></td>
		<td><textarea class="inputbox" name="resume" id="resume" cols="50" rows="10"></textarea></td>
      </tr>
      <tr>
        <td colspan="2"><input type="submit" name="sendbtn" class="button" value="<?php echo _JL_SEND_APPLICATION; ?>" /></td>
      </tr>
    </table>
  </form>
<?php		
	}

	function show( $row, $showtype="view" ) {
		global $option, $my, $mosConfig_editor, $cfgjl, $Itemid;
		global $mosConfig_absolute_path, $mosConfig_live_site, $mosConfig_lang;

		switch ($showtype) {
			case "preview": $heading = _JL_PREVIEW_JOBPOSTING . ": " . $row->title; break;
			default: $heading = $row->title;
		}
?>
	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="contentpane">
	  <tr>
	    <td class="contentheading" width="100%" colspan="2"><?php echo $heading; ?><br /></td>
	  </tr>
      <tr>
        <td colspan="2" height="5"></td>
      </tr>
      <tr>
        <td width="20%"><b><?php echo _JL_JOBTYPE; ?></b></td>
		<td><?php echo getJobTypeString( $row->jobtype ); ?></td>
      </tr>
      <tr>
        <td width="20%"><b><?php echo _JL_JOBSTATUS; ?></b></td>
		<td><?php echo getJobStatusString( $row->jobstatus ); ?></td>
      </tr>
      <tr>
        <td colspan="2" height="5"></td>
      </tr>
      <tr>
        <td><b><?php echo _JL_JOBID; ?></b></td>
		<td><?php echo $row->id; ?></td>
      </tr>
      <tr>
        <td colspan="2" height="5"></td>
      </tr>
      <tr>
        <td><b><?php echo _JL_DATEPOSTED; ?></b></td>
		<td><?php echo mosFormatDate( $row->created, "%m/%d/%Y" ); ?></td>
      </tr>
      <tr>
        <td colspan="2" height="5"></td>
      </tr>
      <tr>
        <td valign="top"><b><?php echo _JL_COMPANYINFO; ?></b></td>
		<td>
          <?php echo $row->company; ?><br />
          <?php echo $row->address1; ?><br />
		  <?php if ( trim( $row->address2 ) ) { echo $row->address2 . "<br />"; } ?>
		  <?php echo $row->city; ?>,
<?php if ( $cfgjl['useusstate'] ) { ?>
		  <?php echo $row->usstate; ?>
<?php } ?>
		  <?php echo $row->zipcode; ?><br />
		  <?php if ( trim( $row->companyurl ) ) { ?>
            <?php echo _JL_WEBSITE; ?>: <a href='<?php echo $row->companyurl; ?>' target='_blank'><?php echo $row->companyurl; ?></a><br />
          <?php } ?>
        </td>
      </tr>
      <tr>
        <td colspan="2" height="5"></td>
      </tr>
      <tr>
        <td valign="top"><b><?php echo _JL_DESCRIPTION; ?></b></td>
		<td><?php echo $row->description; ?></td>
      </tr>
      <tr>
        <td colspan="2" height="5"></td>
      </tr>
<?php if ( trim( $row->qualifications) ) { ?>
      <tr>
        <td valign="top"><b><?php echo _JL_QUALIFICATIONS; ?></b></td>
		<td><?php echo $row->qualifications; ?></td>
      </tr>
      <tr>
        <td colspan="2" height="5"></td>
      </tr>
<?php } ?>
<?php if ( $row->showcomp == 1 ) { ?>
      <tr>
        <td><b><?php echo _JL_COMPENSATION; ?></b></td>
		<td><?php echo $row->compensation; ?></td>
      </tr>
      <tr>
        <td colspan="2" height="5"></td>
      </tr>
<?php } ?>
      <tr>
        <td valign="top"><b><?php echo _JL_HOWTOAPPLY; ?></b></td>
		<td><?php echo $row->applyinfo; ?></td>
      </tr>
      <tr>
        <td colspan="2" height="5"></td>
      </tr>
      <tr>
        <td><b><?php echo _JL_EMAILRESUMETO; ?></b></td>
		<td><a href='mailto:<?php echo $row->contactemail; ?>'><?php echo $row->contactemail; ?></a></td>
      </tr>
      <tr>
        <td colspan="2" height="5"></td>
      </tr>
<?php if ( $row->showcontact == 1 ) { ?>
      <tr>
        <td><b><?php echo _JL_CONTACTINFO; ?></b></td>
		<td>
          <?php echo $row->contactname; ?><br />
		  <?php if ( trim( $row->contactphone ) ) { echo _JL_CONTACTPHONE . ": " . $row->contactphone . "<br />"; } ?>
		  <?php if ( trim( $row->contactemail ) ) { ?>
            <?php echo _JL_EMAIL; ?>: <a href='mailto:<?php echo $row->contactemail; ?>'><?php echo $row->contactemail; ?></a><br />
          <?php } ?>
        </td>
      </tr>
      <tr>
        <td colspan="2" height="5"></td>
      </tr>
<?php } ?>
<?php if ( $showtype == "view" ) { ?>
      <tr> 
        <td colspan="2" align="center"><br /><form name="theform"><input type="button" name="linkbtn" value="<?php echo _JL_APPLYFORJOB; ?>" onclick="document.location.href='<?php echo sefRelToAbs("index.php?option=$option&Itemid=$Itemid&task=apply&id=$row->id"); ?>';" /></form></td>
      </tr>
      <tr> 
        <td colspan="2" align="center"><a href="javascript:window.history.go(-1);"><?php echo _BACK; ?></a></td>
      </tr>
<?php } ?>
	</table>
<?php
	}

	function previewJobPosting( $row ) {
		global $option, $my, $mosConfig_editor, $cfgjl, $Itemid;
		global $mosConfig_absolute_path, $mosConfig_live_site, $mosConfig_lang;

		mosMakeHtmlSafe( $row );
?>
<script language="javascript" type="text/javascript">
	 /**
	  * Submit the admin form
	  */
	 function submitform(pressbutton){
		 document.adminForm.task.value=pressbutton;
		 try {
			 document.adminForm.onsubmit();
		 }
		 catch(e){}
		 document.adminForm.submit();
	 }
	 function submitbutton(pressbutton) {
		var form = document.adminForm;
  	        if (pressbutton == 'reedit') {
				form.action = 'index.php';
			    submitform( pressbutton );
			    return;
		    }
			submitform( pressbutton );
	}
</script>
<br />
	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="contentpane">
	  <tr>
	    <td class="contentheading" width="100%"><?php echo _JL_SAVEOREDIT; ?></td>
	  </tr>
      <tr>
	    <td>
<form action="index2.php" method="POST" name="adminForm" enctype="multipart/form-data">
  <input type="hidden" name="id" value="<?php echo $row->id; ?>" />
  <input type="hidden" name="title" value="<?php echo $row->title; ?>" />
  <input type="hidden" name="jobtype" value="<?php echo $row->jobtype; ?>" />
  <input type="hidden" name="jobstatus" value="<?php echo $row->jobstatus; ?>" />
  <input type="hidden" name="description" value="<?php echo $row->description; ?>" />
  <input type="hidden" name="qualifications" value="<?php echo $row->qualifications; ?>" />
  <input type="hidden" name="compensation" value="<?php echo $row->compensation; ?>" />
  <input type="hidden" name="showcomp" value="<?php echo $row->showcomp; ?>" />
  <input type="hidden" name="applyinfo" value="<?php echo $row->applyinfo; ?>" />
  <input type="hidden" name="company" value="<?php echo $row->company; ?>" />
  <input type="hidden" name="address1" value="<?php echo $row->address1; ?>" />
  <input type="hidden" name="address2" value="<?php echo $row->address2; ?>" />
  <input type="hidden" name="city" value="<?php echo $row->city; ?>" />
<?php if ( $cfgjl['useusstate'] ) { ?>
  <input type="hidden" name="usstate" value="<?php echo $row->usstate; ?>" />
<?php } ?>
  <input type="hidden" name="zipcode" value="<?php echo $row->zipcode; ?>" />
  <input type="hidden" name="companyurl" value="<?php echo $row->companyurl; ?>" />
  <input type="hidden" name="contactname" value="<?php echo $row->contactname; ?>" />
  <input type="hidden" name="contactphone" value="<?php echo $row->contactphone; ?>" />
  <input type="hidden" name="contactemail" value="<?php echo $row->contactemail; ?>" />
  <input type="hidden" name="showcontact" value="<?php echo $row->showcontact; ?>" />
  <input type="hidden" name="memberid" value="<?php echo $row->memberid; ?>" />
  <input type="hidden" name="creditcardtype" value="<?php echo $row->creditcardtype; ?>" />
  <input type="hidden" name="creditcardnumber" value="<?php echo $row->creditcardnumber; ?>" />
  <input type="hidden" name="creditcardexpyear" value="<?php echo $row->creditcardexpyear; ?>" />
  <input type="hidden" name="creditcardexpmon" value="<?php echo $row->creditcardexpmon; ?>" />
  <input type="hidden" name="version" value="<?php echo $row->version; ?>" />
  <input type="hidden" name="option" value="<?php echo $option; ?>" />
  <input type="hidden" name="Itemid" value="<?php echo $Itemid; ?>" />
  <input type="hidden" name="task" value="" />
  <input type="button" name="savebtn" class="button" value="<?php echo _JL_SAVE_JOB; ?>" onclick="submitbutton( 'save' );" />
  <input type="button" name="editbtn" class="button" value="<?php echo _JL_EDIT_JOB; ?>" onclick="submitbutton( 'reedit' );" />
</form>
        </td>
      </tr>
    </table>
<?php
	}

	function editJobPosting ( $row, $lists ) {
		global $option, $my, $mosConfig_editor, $cfgjl, $Itemid;
		global $mosConfig_absolute_path, $mosConfig_live_site, $mosConfig_lang;
		mosMakeHtmlSafe( $row );
?>
<script language="javascript" type="text/javascript">
	 /**
	  * Submit the admin form
	  */
	 function submitform(pressbutton){
		 document.adminForm.task.value=pressbutton;
		 try {
			 document.adminForm.onsubmit();
		 }
		 catch(e){}
		 document.adminForm.submit();
	 }
	 function submitbutton(pressbutton) {
		var form = document.adminForm;
  	        if (pressbutton == 'cancel') {
			    submitform( pressbutton );
			    return;
		    }
		    // do field validation
		    if (form.title.value == ""){
			    alert( "<?php echo _JL_A_NOTITLE; ?>" );
		    } else {
			     submitform( pressbutton );
		    }

	}
</script>
<form action="index.php" method="POST" name="adminForm" enctype="multipart/form-data">
    <table cellpadding="5" cellspacing="0" border="0" width="100%" class="adminform">
	  <tr>
	    <td class="contentheading" width="100%" colspan="2"><?php echo _JL_ENTERJOBINFO; ?></td>
	  </tr>
      <tr>
        <td width="20%" align="right"><?php echo _JL_A_ENTER_TITLE; ?></td>
          <td width="60%"><input class="inputbox" type="text" name="title" size="40" maxlength="255" value="<?php echo $row->title; ?>" />
        </td>
      </tr>
      <tr>
        <td valign="top" align="right"><?php echo _JL_A_ENTER_JOBTYPE; ?></td>
        <td><?php echo $lists['jobtype']; ?></td>
      </tr>
      <tr>
        <td valign="top" align="right"><?php echo _JL_A_ENTER_JOBSTATUS; ?></td>
        <td><?php echo $lists['jobstatus']; ?></td>
      </tr>
       <tr>
        <td valign="top" align="right"><?php echo _JL_A_ENTER_DESCRIPTION; ?></td>
        <td><textarea class="inputbox" name="description" id="description" cols="60" rows="10"><?php echo $row->description; ?></textarea></td>
      </tr>
      <tr>
        <td valign="top" align="right"><?php echo _JL_A_ENTER_QUALIFICATIONS; ?></td>
        <td><textarea class="inputbox" name="qualifications" id="qualifications" cols="60" rows="5"><?php echo $row->qualifications; ?></textarea></td>
      </tr>
      <tr>
        <td align="right"><?php echo _JL_A_ENTER_COMPENSATION; ?></td>
        <td><input class="inputbox" type="text" name="compensation" size="40" maxlength="100" value="<?php echo $row->compensation; ?>" />
        </td>
      </tr>
      <tr>
        <td valign="top" align="right"><?php echo _JL_A_SHOW_COMPENSATION; ?></td>
        <td><input type='checkbox' name='showcomp' value='1' <?php echo ($row->showcomp == "1") ? "checked='checked'" : ""; ?> /></td>
      </tr>
      <tr>
        <td valign="top" align="right"><?php echo _JL_A_HOW_TO_APPLY; ?></td>
        <td><textarea class="inputbox" name="applyinfo" id="applyinfo" cols="60" rows="5"><?php echo $row->applyinfo; ?></textarea></td>
      </tr>
      <tr>
        <td align="right"><?php echo _JL_A_ENTER_COMPANYNAME; ?></td>
        <td><input class="inputbox" type="text" name="company" size="40" maxlength="100" value="<?php echo $row->company; ?>" />
        </td>
      </tr>
      <tr>
        <td align="right"><?php echo _JL_A_ENTER_ADDRESS1; ?></td>
        <td><input class="inputbox" type="text" name="address1" size="40" maxlength="100" value="<?php echo $row->address1; ?>" />
        </td>
      </tr>
      <tr>
        <td align="right"><?php echo _JL_A_ENTER_ADDRESS2; ?></td>
        <td><input class="inputbox" type="text" name="address2" size="40" maxlength="100" value="<?php echo $row->address2; ?>" />
        </td>
      </tr>
      <tr>
        <td align="right"><?php echo _JL_A_ENTER_CITY; ?></td>
        <td><input class="inputbox" type="text" name="city" size="40" maxlength="100" value="<?php echo $row->city; ?>" />
        </td>
      </tr>
<?php if ( $cfgjl['useusstate'] ) { ?>
      <tr>
        <td align="right"><?php echo _JL_A_ENTER_USSTATE; ?></td>
        <td><?php echo $lists['usstates']; ?></td>
      </tr>
<?php } ?>
      <tr>
        <td align="right"><?php echo _JL_A_ENTER_ZIPCODE; ?></td>
        <td><input class="inputbox" type="text" name="zipcode" size="40" maxlength="100" value="<?php echo $row->zipcode; ?>" />
        </td>
      </tr>
      <tr>
        <td align="right"><?php echo _JL_A_ENTER_COMPANYURL; ?></td>
		<td><input class="inputbox" type="text" name="companyurl" size="40" maxlength="100" value="<?php echo trim ($row->companyurl) ? $row->companyurl : "http://"; ?>" />
        </td>
      </tr>
      <tr>
        <td align="right"><?php echo _JL_A_ENTER_CONTACTNAME; ?></td>
        <td><input class="inputbox" type="text" name="contactname" size="40" maxlength="100" value="<?php echo $row->contactname; ?>" />
        </td>
      </tr>
      <tr>
        <td align="right"><?php echo _JL_A_ENTER_CONTACTPHONE; ?></td>
        <td><input class="inputbox" type="text" name="contactphone" size="40" maxlength="100" value="<?php echo $row->contactphone; ?>" />
        </td>
      </tr>
      <tr>
        <td align="right"><?php echo _JL_A_ENTER_CONTACTEMAIL; ?></td>
        <td><input class="inputbox" type="text" name="contactemail" size="40" maxlength="100" value="<?php echo $row->contactemail; ?>" />
        </td>
      </tr>
      <tr>
        <td valign="top" align="right"><?php echo _JL_A_SHOWCONTACT; ?></td>
        <td><input type='checkbox' name='showcontact' value='1' <?php echo ($row->showcontact == "1") ? "checked='checked'" : ""; ?> /></td>
      </tr>
      <tr>
        <td align="right"><?php echo _JL_A_ENTER_MEMBERID; ?></td>
        <td><input class="inputbox" type="text" name="memberid" size="40" maxlength="100" value="<?php echo $row->memberid; ?>" />
        </td>
      </tr>
<?php if ( $cfgjl['ccfields'] ) { ?>
      <tr>
        <td valign="top" align="right"><?php echo _JL_A_ENTER_CREDITCARD_TYPE; ?></td>
        <td><?php echo $lists['creditcardtype']; ?></td>
      </tr>
      <tr>
        <td align="right"><?php echo _JL_A_ENTER_CREDITCARD_NUMBER; ?></td>
        <td><input class="inputbox" type="text" name="creditcardnumber" size="16" maxlength="16" value="<?php echo $row->creditcardnumber; ?>" />
        </td>
      </tr>
      <tr>
        <td valign="top" align="right"><?php echo _JL_A_ENTER_CREDITCARD_EXPIRES; ?></td>
        <td><?php echo $lists['ccexpmon']; ?> / <?php echo $lists['ccexpyear']; ?></td>
      </tr>
<?php } ?>
      <tr>
        <td colspan="2" height="5"></td>
      <tr>
<?php if ( trim( $cfgjl['termsofservice'] ) ) { ?>
      <tr>
		<td valign="top" align="right"><?php echo _JL_TERMSOFSERVICE; ?></td>
        <td><?php echo $cfgjl['termsofservice']; ?></td>
      </tr>
      <tr>
        <td colspan="2" height="5"></td>
      <tr>
<?php } ?>

    </table>

  <input type="hidden" name="option" value="<?php echo $option;?>" />
  <input type="hidden" name="Itemid" value="<?php echo $Itemid; ?>" />
  <input type="hidden" name="id" value="<?php echo $row->id; ?>" />
  <input type="hidden" name="version" value="<?php echo $row->version; ?>" />
  <input type="hidden" name="task" value="" />
  <input type="button" name="previewbtn" class="button" value="<?php echo _JL_PREVIEW_JOB; ?>" onclick="submitbutton( 'preview' );" />
  <input type="button" name="cancelbtn" class="button" value="<?php echo _JL_CANCEL_JOB; ?>" onclick="submitbutton( 'cancel' );" />
</form>

<?php
	  }

	function showSearch( $search = "" ) {
		global $option, $Itemid;
?>
<script language="javascript" type="text/javascript">
	function checkForm(thisform) {
		// do field validation
		if (thisform.search.value == ""){
			alert( "<?php echo _JL_NOSEARCHWORD; ?>" );
			return false;
		} else {
			return true;
		}
	}
</script>
    <table cellpadding="5" cellspacing="0" border="0" width="100%" class="adminform">
	  <tr>
	    <td class="contentheading" width="100%" colspan="2"><?php echo _JL_NEW_SEARCH; ?></td>
	  </tr>
      <tr>
        <td>
          <form method="get" action="index.php" onsubmit="return checkForm(this);" name="searchForm">
          <input type="hidden" name="option" value="<?php echo $option; ?>" />
          <input type="hidden" name="task" value="results" />
          <input type="hidden" name="Itemid" value="<?php echo $Itemid; ?>" />
          <input type="text" class="inputbox" name="search" value="<?php echo ($search ? $search : ""); ?>" />
          <input class="button" type="submit" value="<?php echo _JL_SEARCH; ?>" />
          </form>
        </td>
      </tr>
    </table>
<?php
	}

	function showError( $error, $error_header ) {
		?>
		<blockquote class="error">
		<h2 class="error"><?php echo $error_header; ?></h2>
		<p><?php echo $error; ?></p>
		</blockquote>
<?php
	}
}
?>